import React from 'react';
import type { Action, Attachment } from 'stream-chat';
import type { ActionHandlerReturnType } from '../Message/hooks/useActionHandler';
export type AttachmentActionsProps = Attachment & {
    /** A list of actions */
    actions: Action[];
    /** Unique id for action button key. Key is generated by concatenating this id with action value - {`${id}-${action.value}`} */
    id: string;
    /** The text for the form input */
    text: string;
    /** Click event handler */
    actionHandler?: ActionHandlerReturnType;
};
/**
 * A component for rendering the actions you can take on an attachment.
 */
export declare const AttachmentActions: (props: AttachmentActionsProps) => React.JSX.Element;
