import type { PropsWithChildren } from 'react';
import React from 'react';
import type { Attachment } from 'stream-chat';
import type { AttachmentComponentType, GalleryAttachment, RenderAttachmentProps, RenderGalleryProps } from './utils';
export type AttachmentContainerProps = {
    attachment: Attachment | GalleryAttachment;
    componentType: AttachmentComponentType;
};
export declare const AttachmentWithinContainer: ({ attachment, children, componentType, }: PropsWithChildren<AttachmentContainerProps>) => React.JSX.Element;
export declare const AttachmentActionsContainer: ({ actionHandler, attachment, AttachmentActions, }: RenderAttachmentProps) => React.JSX.Element | null;
export declare const GalleryContainer: ({ attachment, Gallery, }: RenderGalleryProps) => React.JSX.Element;
export declare const ImageContainer: (props: RenderAttachmentProps) => React.JSX.Element;
export declare const CardContainer: (props: RenderAttachmentProps) => React.JSX.Element;
export declare const FileContainer: ({ attachment, File, }: RenderAttachmentProps) => React.JSX.Element | null;
export declare const AudioContainer: ({ attachment, Audio, }: RenderAttachmentProps) => React.JSX.Element;
export declare const VoiceRecordingContainer: ({ attachment, isQuoted, VoiceRecording, }: RenderAttachmentProps) => React.JSX.Element;
export declare const MediaContainer: (props: RenderAttachmentProps) => React.JSX.Element;
export declare const UnsupportedAttachmentContainer: ({ attachment, UnsupportedAttachment, }: RenderAttachmentProps) => React.JSX.Element;
