import React from 'react';
import type { Attachment } from 'stream-chat';
export type VoiceRecordingPlayerProps = Pick<VoiceRecordingProps, 'attachment'> & {
    /** An array of fractional numeric values of playback speed to override the defaults (1.0, 1.5, 2.0) */
    playbackRates?: number[];
};
export declare const VoiceRecordingPlayer: ({ attachment, playbackRates, }: VoiceRecordingPlayerProps) => React.JSX.Element | null;
export type QuotedVoiceRecordingProps = Pick<VoiceRecordingProps, 'attachment'>;
export declare const QuotedVoiceRecording: ({ attachment }: QuotedVoiceRecordingProps) => React.JSX.Element;
export type VoiceRecordingProps = {
    /** The attachment object from the message's attachment list. */
    attachment: Attachment;
    /** A boolean flag to signal whether the attachment will be rendered inside the quoted reply. */
    isQuoted?: boolean;
};
export declare const VoiceRecording: ({ attachment, isQuoted }: VoiceRecordingProps) => React.JSX.Element;
