import React from 'react';
import type { ChannelAvatarProps } from '../Avatar';
export type ChannelHeaderProps = {
    /** UI component to display an avatar, defaults to [Avatar](https://github.com/GetStream/stream-chat-react/blob/master/src/components/Avatar/Avatar.tsx) component and accepts the same props as: [ChannelAvatar](https://github.com/GetStream/stream-chat-react/blob/master/src/components/Avatar/ChannelAvatar.tsx) */
    Avatar?: React.ComponentType<ChannelAvatarProps>;
    /** Manually set the image to render, defaults to the Channel image */
    image?: string;
    /** Show a little indicator that the Channel is live right now */
    live?: boolean;
    /** UI component to display menu icon, defaults to [MenuIcon](https://github.com/GetStream/stream-chat-react/blob/master/src/components/ChannelHeader/ChannelHeader.tsx)*/
    MenuIcon?: React.ComponentType;
    /** Set title manually */
    title?: string;
};
/**
 * The ChannelHeader component renders some basic information about a Channel.
 */
export declare const ChannelHeader: (props: ChannelHeaderProps) => React.JSX.Element;
