import React from 'react';
import type { Event, LocalMessage } from 'stream-chat';
import type { AvatarProps } from '../Avatar';
import type { TimestampFormatterOptions } from '../../i18n/types';
export type EventComponentProps = TimestampFormatterOptions & {
    /** Message object */
    message: LocalMessage & {
        event?: Event;
    };
    /** Custom UI component to display user avatar, defaults to and accepts same props as: [Avatar](https://github.com/GetStream/stream-chat-react/blob/master/src/components/Avatar/Avatar.tsx) */
    Avatar?: React.ComponentType<AvatarProps>;
};
export declare const EventComponent: (props: EventComponentProps) => React.JSX.Element | null;
