import type { CSSProperties, MutableRefObject } from 'react';
import React from 'react';
import type { Attachment } from 'stream-chat';
import type { Dimensions } from '../../types/types';
export type ImageProps = {
    dimensions?: Dimensions;
    innerRef?: MutableRefObject<HTMLImageElement | null>;
    previewUrl?: string;
    style?: CSSProperties;
} & ({
    /** The text fallback for the image */
    fallback?: string;
    /** The full size image url */
    image_url?: string;
    /** The thumb url */
    thumb_url?: string;
} | Attachment);
/**
 * A simple component that displays an image.
 */
export declare const ImageComponent: (props: ImageProps) => React.JSX.Element;
