import type { ComponentProps } from 'react';
import React from 'react';
import type { MessageContextValue } from '../../context';
type PropsDrilledToMessageActionsBox = 'getMessageActions' | 'handleDelete' | 'handleEdit' | 'handleMarkUnread' | 'handleFlag' | 'handleMute' | 'handlePin';
export type MessageActionsBoxProps = Pick<MessageContextValue, PropsDrilledToMessageActionsBox> & {
    isUserMuted: () => boolean;
    mine: boolean;
    open: boolean;
} & ComponentProps<'div'>;
/**
 * A popup box that displays the available actions on a message, such as edit, delete, pin, etc.
 */
export declare const MessageActionsBox: (props: MessageActionsBoxProps) => React.JSX.Element;
export {};
