/// <reference types="lodash" />
import React from 'react';
import type { ItemProps, ListItem } from 'react-virtuoso';
import type { RenderedMessage } from './utils';
import type { VirtuosoContext } from './VirtualizedMessageList';
import type { UnknownType } from '../../types/types';
export declare function calculateItemIndex(virtuosoIndex: number, numItemsPrepended: number): number;
export declare function calculateFirstItemIndex(numItemsPrepended: number): number;
export declare const makeItemsRenderedHandler: (renderedItemsActions: Array<(msg: RenderedMessage[]) => void>, processedMessages: RenderedMessage[]) => import("lodash").DebouncedFunc<(items: ListItem<UnknownType>[]) => void>;
type CommonVirtuosoComponentProps = {
    context?: VirtuosoContext;
};
export declare const Item: ({ context, ...props }: ItemProps & CommonVirtuosoComponentProps) => React.JSX.Element;
export declare const Header: ({ context }: CommonVirtuosoComponentProps) => React.JSX.Element;
export declare const EmptyPlaceholder: ({ context }: CommonVirtuosoComponentProps) => React.JSX.Element;
export declare const messageRenderer: (virtuosoIndex: number, _data: UnknownType, virtuosoContext: VirtuosoContext) => React.JSX.Element | null;
export {};
