import React from 'react';
import type { ReactionDetailsComparator, ReactionSummary, ReactionType } from './types';
import type { ModalProps } from '../Modal';
import type { MessageContextValue } from '../../context';
import type { ReactionSort } from 'stream-chat';
export type ReactionsListModalProps = ModalProps & Partial<Pick<MessageContextValue, 'handleFetchReactions' | 'reactionDetailsSort'>> & {
    reactions: ReactionSummary[];
    selectedReactionType: ReactionType;
    onSelectedReactionTypeChange?: (reactionType: ReactionType) => void;
    sort?: ReactionSort;
    /** @deprecated use `sort` instead */
    sortReactionDetails?: ReactionDetailsComparator;
};
export declare function ReactionsListModal({ handleFetchReactions, onSelectedReactionTypeChange, reactionDetailsSort: propReactionDetailsSort, reactions, selectedReactionType, sortReactionDetails: propSortReactionDetails, ...modalProps }: ReactionsListModalProps): React.JSX.Element;
