import React from 'react';
import type { ReactionGroupResponse, ReactionResponse } from 'stream-chat';
import type { MessageContextValue } from '../../context/MessageContext';
import type { ReactionOptions } from './reactionOptions';
export type SimpleReactionsListProps = Partial<Pick<MessageContextValue, 'handleFetchReactions' | 'handleReaction'>> & {
    /** An array of the own reaction objects to distinguish own reactions visually */
    own_reactions?: ReactionResponse[];
    /**
     * An object that keeps track of the count of each type of reaction on a message
     * @deprecated This override value is no longer taken into account. Use `reaction_groups` to override reaction counts instead.
     * */
    reaction_counts?: Record<string, number>;
    /** An object containing summary for each reaction type on a message */
    reaction_groups?: Record<string, ReactionGroupResponse>;
    /** A list of the currently supported reactions on a message */
    reactionOptions?: ReactionOptions;
    /** An array of the reaction objects to display in the list */
    reactions?: ReactionResponse[];
};
export declare const SimpleReactionsList: (props: SimpleReactionsListProps) => React.JSX.Element | null;
