import type { Dispatch, PropsWithChildren, SetStateAction } from 'react';
import React from 'react';
import type { Channel } from 'stream-chat';
export type ChannelListContextValue = {
    /**
     * State representing the array of loaded channels.
     * Channels query is executed by default only by ChannelList component in the SDK.
     */
    channels: Channel[];
    /**
     * Sets the list of Channel objects to be rendered by ChannelList component.
     */
    setChannels: Dispatch<SetStateAction<Channel[]>>;
};
export declare const ChannelListContext: React.Context<ChannelListContextValue | undefined>;
/**
 * Context provider for components rendered within the `ChannelList`
 */
export declare const ChannelListContextProvider: ({ children, value, }: PropsWithChildren<{
    value: ChannelListContextValue;
}>) => React.JSX.Element;
export declare const useChannelListContext: (componentName?: string) => ChannelListContextValue;
