import React from 'react';
import type { PropsWithChildren } from 'react';
import type { CooldownTimerState, MessageInputProps } from '../components/MessageInput';
import type { MessageInputHookProps } from '../components/MessageInput/hooks/useMessageInputControls';
export type MessageInputContextValue = MessageInputHookProps & Omit<MessageInputProps, 'Input'> & CooldownTimerState;
export declare const MessageInputContext: React.Context<MessageInputHookProps | undefined>;
export declare const MessageInputContextProvider: ({ children, value, }: PropsWithChildren<{
    value: MessageInputContextValue;
}>) => React.JSX.Element;
export declare const useMessageInputContext: (componentName?: string) => MessageInputContextValue;
