import React from 'react';
import type { PropsWithChildren } from 'react';
export type VirtualizedMessageListContextValue = {
    /** Function that scrolls the list to the bottom. */
    scrollToBottom: () => void;
};
export declare const VirtualizedMessageListContext: React.Context<VirtualizedMessageListContextValue | undefined>;
/**
 * Context provider for components rendered within the `VirtualizedMessageList`
 */
export declare const VirtualizedMessageListContextProvider: ({ children, value, }: PropsWithChildren<{
    value: VirtualizedMessageListContextValue;
}>) => React.JSX.Element;
export declare const useVirtualizedMessageListContext: () => VirtualizedMessageListContextValue;
