import React from 'react';
import type { MESSAGE_ACTIONS } from '../../components';
export type MessageActionSetItem = {
    Component: React.ComponentType;
    placement: 'quick' | 'dropdown';
    type: keyof typeof MESSAGE_ACTIONS | (string & {});
};
export type MessageActionsProps = {
    disableBaseMessageActionSetFilter?: boolean;
    messageActionSet?: MessageActionSetItem[];
};
/**
 * A new actions component to replace current `MessageOptions` component.
 * Exports from `stream-chat-react/experimental` __MIGHT__ change - use with caution
 * and follow release notes in case you notice unexpected behavior.
 */
export declare const MessageActions: ({ disableBaseMessageActionSetFilter, messageActionSet, }: MessageActionsProps) => React.JSX.Element | null;
